curl --request POST \
--url https://api.sandbox.tesouro.com/finops/v1/payment-records/{payment_record_id}/mark-as-succeeded \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"paid_at": "2023-11-07T05:31:56Z",
"payment_intent_status": "<string>"
}
'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/payment-records/{payment_record_id}/mark-as-succeeded"
payload = {
"paid_at": "2023-11-07T05:31:56Z",
"payment_intent_status": "<string>"
}
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({paid_at: '2023-11-07T05:31:56Z', payment_intent_status: '<string>'})
};
fetch('https://api.sandbox.tesouro.com/finops/v1/payment-records/{payment_record_id}/mark-as-succeeded', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"currency": "AED",
"history": [
{
"status": "created",
"timestamp": "2023-11-07T05:31:56Z",
"entity_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"is_external": true,
"object": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"new_status": "<string>",
"old_status": "<string>",
"type": "receivable"
},
"entity_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error_message": "<string>",
"overpaid_amount": 0,
"paid_at": "2023-11-07T05:31:56Z",
"payment_intent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_intent_status": "<string>",
"payment_method": "<string>",
"planned_payment_date": "2023-12-25",
"status": "succeeded"
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Mark as succeeded
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Path Parameters
Body
Response
Successful Response
Positive amount in case of successful payment, negative amount in case of payment failure or refund, represented in minor currency units (e.g., cents).
Currency code (ISO 4217) indicating the currency in which the payment was made.
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HTG, HUF, IDR, ILS, INR, IQD, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SEK, SGD, SHP, SLE, SOS, SRD, SSP, SVC, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZAR, ZMW History of the payment record.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
ID of the user associated with the payment, if applicable.
Failure reason reported by the payment provider, if the payment failed. Null otherwise.
Filled in a case, if payment amount is more, than total_amount
x >= 0Timestamp marking when the payment was executed. Null if payment hasn't occurred yet.
Identifier for an payment intent.
Raw status string of the external payment intent.
Payment method used or planned for the transaction.
Scheduled date for future payments, required when the payment is planned but not yet executed.
The current status of the payment record. Possible values: created, processing, succeeded, canceled.
Was this page helpful?